<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <title>List Users</title>
    <style>
        .table td, .table th{
            padding: 0.5rem!important;
        }
    </style>
</head>

<body>
    <div class="container">
        <h2 class="text-center my-4">Danh sách người dùng đăng ký</h2>
        <table id="table-users" class="table table-striped table-bordered table-hover">
            <thead>
                <tr>
                    <th scope="col">ID</th>
                    <th scope="col">Firstname</th>
                    <th scope="col">Lastname</th>
                    <th scope="col">Country</th>
                    <th scope="col">Subject</th>
                    <th scope="col">Customer Type</th>
                    <th scope="col">Register Status</th>
                    <th scope="col">Action</th>
                </tr>
            </thead>
            <tbody>
               
            </tbody>
        </table>
    </div>
</body>

</html>
<script>
    $(document).ready(function () {
        "use strict";
        /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

        /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
        onPageLoading();
        // Xử lý sự kiện khi click nút sửa
        $(document).on("click",".edit", function(){
            console.log("Nút Edit được click");
            /*var vId = $(this).closest("tr").find("td:first-child").text();*/
            var vId = $(this).data("userid");
            console.log("Ta có id của user tương ứng là: " + vId);
        })
        $(document).on("click",".delete", function(){
            console.log("Nút Delete được click");
            /*var vId = $(this).closest("tr").find("td:first-child").text();*/
            var vId = $(this).data("userid");
            console.log("Ta có id của user tương ứng là: " + vId);
        })
        /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
        function onPageLoading() {
            "use strict";
            console.log("Đã tải trang!");
            $.ajax({
                url: "http://203.171.20.210:8080/crud-api/users/",
                type: 'GET',
                dataType: 'json', // added data type
                success: function (res) {
                    console.log(res);
                    fillDataToTable(res);
                },
                error: function (ajaxContext) {
                    alert(ajaxContext.responseText)
                }
            });
        }
        /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
        // Hàm đổ dữ liệu vào bảng
        function fillDataToTable(paramData){
            "use strict";
            for(var bI = 0; bI < paramData.length; bI++){
                var bHtml = `<tr>
                                <td>${paramData[bI].id}</td>
                                <td>${paramData[bI].firstname}</td>
                                <td>${paramData[bI].lastname}</td>
                                <td>${paramData[bI].country}</td>
                                <td>${paramData[bI].subject}</td>
                                <td>${paramData[bI].customerType}</td>
                                <td>${paramData[bI].registerStatus}</td>
                                <td><button class="btn btn-primary edit" data-userid="${paramData[bI].id}">Sửa</button>&nbsp;<button class="btn btn-danger delete" data-userid="${paramData[bI].id}">Xóa</button></td>
                            </tr>`;
                $("#table-users tbody").append(bHtml);
                
            }
        }
    })

</script>